{-# LANGUAGE OverloadedStrings #-}

import           Test.Hspec

import           Data.ByteString.Char8          (ByteString)

import           Bio.Sequence.Alignment.Scoring (similarity)

main :: IO ()
main = hspec $
         describe "Similarity" $
           it "simple strings" $ do
             let sourceS = "QQYDLFIS" :: ByteString
             let cdr31 = "KQSYDLPT" :: ByteString
             let cdr32 = "QQYSDDPT" :: ByteString
             let sim1 = similarity sourceS cdr31
             let sim2 = similarity sourceS cdr32
             sim1 `shouldBe` 0.44444442
             sim2 `shouldBe` 0.44444442
